API Reference
Go to zen.comGo to myZEN.com
Documentation
Documentation
  • Sandbox
  • Plugin integration
  • Checkout integration
  • API business
  • Merchant panel
  • Brandbook
  • API transfers
Go to zen.comGo to myZEN.com
Documentation
Documentation
  • Sandbox
  • Plugin integration
  • Checkout integration
  • API business
  • Merchant panel
  • Brandbook
  • API transfers
  1. customers
  • Introduction
  • Authentication & authorization
  • Environments
  • Transaction statuses
  • Notifications
  • Response codes
  • Error codes
  • purchase
    • Create transaction
    • Capture transaction
    • Transaction details using ZEN id
    • Transaction details using merchantTransactionId
    • Cancel transaction
    • Renew authorization
    • Validate ApplePay session
    • Calculate cashback
  • refund
    • Create transaction
  • payout
    • Create transaction
    • Transaction details using ZEN id
    • Transaction details using merchantTransactionId
    • Capture transaction
    • Cancel transaction
    • Renew transaction
    • Transaction details using ZEN id
    • Refresh transaction offers
    • Select transaction offer
  • payment-methods
    • Returns information about payment methods
    • Returns information about payment methods
  • payment-links
    • Create payment link
    • Fetch payment links list
    • Fetch payment link
    • Update payment link
  • customers
    • Create customer
      POST
    • Remove customer
      DELETE
    • Add customer recipient
      POST
    • Add payout card
      POST
    • Remove payout card
      DELETE
    • Fetch payout card list
      GET
    • Update payout card details
      PATCH
    • Fetch saved subscription customer list V3
      GET
    • Fetch customer
      GET
    • Update a customer
      PATCH
    • Fetch card
      GET
    • Update card details
      PATCH
    • Remove card
      DELETE
    • Fetch card list
      GET
    • Fetch customer recipient list
      GET
    • Fetch customer recipient
      GET
    • Update customer details recipient
      PATCH
    • Remove customer recipient
      DELETE
    • Add customer payout card
      POST
    • Fetch saved payout card V3
      GET
    • Initialize widget payout card process
      POST
    • Removes customer saved payout card V3
      DELETE
    • Fetch saved payout card list V3
      GET
    • Fetch blik paymentTokens list
      GET
    • Remove Blik paymentToken
      DELETE
    • Fetch Blik paymentToken
      GET
    • Add paynow recipient
      POST
    • Remove paynow profile
      DELETE
    • Fetch saved merchant customer payout recipient list V3
      GET
    • Verify merchant's customer payout recipient card
      POST
    • Fetch saved merchant customer's payout card V3
      GET
    • Update merchant payout card alias
      PATCH
    • Removes merchant customer payout card.
      DELETE
  • authorization
    • Calculate authorization amount
    • Calculate reversed authorization amount
  • subscriptions
    • Fetch subscription products list
    • Add new subscription product
    • Fetch subscription product
    • Update subscription product
    • Removes subscription product
    • Fetch subscription plan list
    • Add new subscription plan
    • Fetch subscription plan
    • Removes subscription plan
    • Activate subscription plan
    • Deactivate subscription plan
    • Fetch subscriptions list
    • Fetch subscription
    • Removes subscription
    • Cancel subscription
  • reports
    • Download report file
Go to zen.comGo to myZEN.com
Documentation
Documentation
  • Sandbox
  • Plugin integration
  • Checkout integration
  • API business
  • Merchant panel
  • Brandbook
  • API transfers
Go to zen.comGo to myZEN.com
Documentation
Documentation
  • Sandbox
  • Plugin integration
  • Checkout integration
  • API business
  • Merchant panel
  • Brandbook
  • API transfers
  1. customers

Fetch saved merchant customer payout recipient list V3

GET
https://api.zen.com/v3/customers/{merchantCustomerId}/payouts/recipients
Fetch merchant customer saved payout recipient list of all recipients belonging to the merchant customer.

Request

Authorization
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
or
Basic Auth
Send your HTTP requests with an
Authorization
header that contains the word Basic followed by a space and a base64-encoded string username:password
Example:
Authorization: Basic *****************
or
Path Params

Query Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.zen.com/v3/customers//payouts/recipients?phoneNumber&currency&amount' \
--header 'request-id;' \
--header 'customer-ip;' \
--header 'Authorization: <api-key>'

Responses

🟢200OK
application/json
OK
Body

Example
{
    "data": [
        {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "merchantCustomerId": "string",
            "alias": "string",
            "active": true,
            "last4": "string",
            "lastUsedAt": "string",
            "lastUsedCurrency": "string",
            "organization": "string",
            "paymentMethod": "string",
            "paymentChannel": "string",
            "channelLogoUrl": "string",
            "organizationLogoUrl": "string",
            "createdAt": "string"
        }
    ],
    "meta": {
        "itemsPerPage": "10",
        "page": "1",
        "direction": "asc",
        "sortBy": "lastUsedAt",
        "totalCount": "0"
    }
}
🟠404Record Not Found
Modified at 2026-01-27 18:51:51
Previous
Remove paynow profile
Next
Verify merchant's customer payout recipient card